
#pragma once

#include "DisasmDlg.h"

class CDisasmView : public CDockablePane
{
		DECLARE_DYNAMIC(CDisasmView)

		CDisasmDlg m_dlgDisasmView;

	public:
		CDisasmView();
		virtual ~CDisasmView() override;

		virtual void AdjustLayout() override;

		inline void initDebugger()
		{
			m_dlgDisasmView.InitDebugger();
			Invalidate(FALSE);
		}

	protected:
		afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
		afx_msg void OnSize(UINT nType, int cx, int cy);
		afx_msg void OnSetFocus(CWnd *pOldWnd);
		afx_msg void OnPaint();
		DECLARE_MESSAGE_MAP()
};

